xgboost

Public Member Functions | Static Public Member Functions | List of all members
xgboost::JsonString Class Reference

`#include <json.h>`

Inheritance diagram for xgboost::JsonString:
Collaboration diagram for xgboost::JsonString:

## Public Member Functions
| JsonString ()
| JsonString (std::string const &str)
| JsonString (std::string &&str)
| JsonString (JsonString &&str) noexcept
void | Save (JsonWriter *writer) override
Json & | operator[] (std::string const &key) override
Json & | operator[] (int ind) override
std::string const & | GetString () &&
std::string const & | GetString () const &
std::string & | GetString () &
bool | operator== (Value const &rhs) const override
Value & | operator= (Value const &rhs) override
Public Member Functions inherited from xgboost::Value
| Value (ValueKind _kind)
ValueKind | Type () const
virtual | ~Value ()=default
std::string | TypeStr () const

## Static Public Member Functions
static bool | IsClassOf (Value const *value)

## Additional Inherited Members
Public Types inherited from xgboost::Value
enum | ValueKind { ValueKind::kString, ValueKind::kNumber, ValueKind::kInteger, ValueKind::kObject, ValueKind::kArray, ValueKind::kBoolean, ValueKind::kNull }
| Simplified implementation of LLVM RTTI. More...

## Constructor & Destructor Documentation

## ◆ JsonString() [1/4]

xgboost::JsonString::JsonString | ( |  | ) |
| inline

## ◆ JsonString() [2/4]

xgboost::JsonString::JsonString | ( | std::string const & | str | ) |
| inline

## ◆ JsonString() [3/4]

xgboost::JsonString::JsonString | ( | std::string && | str | ) |
| inline

## ◆ JsonString() [4/4]

xgboost::JsonString::JsonString | ( | JsonString && | str | ) |
| inline noexcept

## Member Function Documentation

## ◆ GetString() [1/3]

std::string& xgboost::JsonString::GetString | ( |  | ) | &
| inline

## ◆ GetString() [2/3]

std::string const& xgboost::JsonString::GetString | ( |  | ) | &&
| inline

## ◆ GetString() [3/3]

std::string const& xgboost::JsonString::GetString | ( |  | ) | const &
| inline

## ◆ IsClassOf()

static bool xgboost::JsonString::IsClassOf | ( | Value const * | value | ) |
| inline static

## ◆ operator=()

Value& xgboost::JsonString::operator= | ( | Value const & | rhs | ) |
| override virtual

Implements xgboost::Value.

## ◆ operator==()

bool xgboost::JsonString::operator== | ( | Value const & | rhs | ) | const
| override virtual

Implements xgboost::Value.

## ◆ operator[]() [1/2]

Json& xgboost::JsonString::operator[] | ( | int | ind | ) |
| override virtual

Implements xgboost::Value.

## ◆ operator[]() [2/2]

Json& xgboost::JsonString::operator[] | ( | std::string const & | key | ) |
| override virtual

Implements xgboost::Value.

## ◆ Save()

void xgboost::JsonString::Save | ( | JsonWriter * | writer | ) |
| override virtual

Implements xgboost::Value.

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/include/xgboost/json.h